Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Interface MutableProductItem

All Superinterfaces
  CatalogItem, ConfigurableEntity, MutableCatalogItem, ProductItem, Serializable

All Known Implementing Classes:
  MutableProductItemImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface MutableProductItem

extends ProductItem, MutableCatalogItem

This is the mutable interface for all product items contained by the Catalog. This interface exposes data accessors and mutators for product item data conforming to the Dublin Core Metadata. Refer to the DCM spec for details: Dublin Core Element Set

Field Summary

Fields inherited from interface com.beasys.commerce.ebusiness.catalog.ProductItem
`DETAILED_DISPLAY_JSP_INDEX, INVISIBLE_ITEM, MAX_JSP, SUMMARY_DISPLAY_JSP_INDEX, VISIBLE_ITEM`

Fields inherited from interface com.beasys.commerce.ebusiness.catalog.CatalogItem
`LARGE_IMAGE_INDEX, LONG_DESCRIPTION_INDEX, MAX_DESCRIPTION, MAX_IMAGES, SHORT_DESCRIPTION_INDEX, SMALL_IMAGE_INDEX`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Fields inherited from interface com.beasys.commerce.ebusiness.catalog.CatalogItem
`LARGE_IMAGE_INDEX, LONG_DESCRIPTION_INDEX, MAX_DESCRIPTION, MAX_IMAGES, SHORT_DESCRIPTION_INDEX, SMALL_IMAGE_INDEX`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Method Summary
`void` | `setAvailability(InventoryInfo inventoryInfo)` Deprecated See BEA Commerce product offering
`void` | `setCurrentPrice(Money price)` Deprecated See BEA Commerce product offering
`void` | `setFormat(String format)` Deprecated See BEA Commerce product offering
`void` | `setJsp(int index, JspInfo jspInfo)` Deprecated See BEA Commerce product offering
`void` | `setMsrp(Money price)` Deprecated See BEA Commerce product offering
`void` | `setShippingCode(String shippingCode)` Deprecated See BEA Commerce product offering
`void` | `setTaxCode(String taxCode)` Deprecated See BEA Commerce product offering
`void` | `setType(String type)` Deprecated See BEA Commerce product offering
`void` | `setVisible(char visible)` Deprecated See BEA Commerce product offering

Methods inherited from interface com.beasys.commerce.ebusiness.catalog.ProductItem
`getAvailability, getCurrentPrice, getFormat, getJsp, getMsrp, getShippingCode, getTaxCode, getType, getVisible`

Methods inherited from interface com.beasys.commerce.ebusiness.catalog.CatalogItem
`getContributor, getCoverage, getCreationDate, getCreator, getDescription, getImage, getKey, getLanguage, getModifiedDate, getName, getPublisher, getRelation, getRights, getSource`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getProperty, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Methods inherited from interface com.beasys.commerce.ebusiness.catalog.MutableCatalogItem
`setContributor, setCoverage, setCreationDate, setCreator, setDescription, setImage, setLanguage, setModifiedDate, setName, setPublisher, setRelation, setRights, setSource`

Methods inherited from interface com.beasys.commerce.ebusiness.catalog.CatalogItem
`getContributor, getCoverage, getCreationDate, getCreator, getDescription, getImage, getKey, getLanguage, getModifiedDate, getName, getPublisher, getRelation, getRights, getSource`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getProperty, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Method Detail

### setJsp

    void setJsp(int index,
                JspInfo jspInfo)

  Deprecated See BEA Commerce product offering

  Set the JSP information for the product item.

  Parameters
    `index` - one of SUMMARY_DISPLAY_JSP_INDEX or DETAILED_DISPLAY_JSP_INDEX.
    `jspInfo` - the new JSP information.

### setFormat

    void setFormat(String format)

  Deprecated See BEA Commerce product offering

  Set the format information for the product item.

  Name: Format

  Identifier: Format

  Definition: The physical or digital manifestation of the resource.

  Comment: Typically, Format may include the media-type or dimensions of the resource. Format may be used to determine the software, hardware or other equipment needed to display or operate the resource. Examples of dimensions include size and duration. Recommended best practice is to select a value from a controlled vocabulary (for example, the list of Internet Media Types [MIME] defining computer media formats).

  Parameters
    `format` - the new format

### setType

    void setType(String type)

  Deprecated See BEA Commerce product offering

  Set the type information for the product item.

  Name: Resource Type

  Identifier: Type

  Definition: The nature or genre of the content of the resource.

  Comment: Type includes terms describing general categories, functions, genres, or aggregation levels for content. Recommended best practice is to select a value from a controlled vocabulary (for example, the working draft list of Dublin Core Types [DCT1]). To describe the physical or digital manifestation of the resource, use the FORMAT element.

  Parameters
    `type` - the new type

### setTaxCode

    void setTaxCode(String taxCode)

  Deprecated See BEA Commerce product offering

  Set the tax code for the product item. The tax code used should reference the WLCS tax calculation system currently being used.

  Parameters
    `taxCode` - the new tax code

### setShippingCode

    void setShippingCode(String shippingCode)

  Deprecated See BEA Commerce product offering

  Set the shipping code for the product item.

  Parameters
    `shippingCode` - the new shipping code

### setMsrp

    void setMsrp(Money price)

  Deprecated See BEA Commerce product offering

  Set the MSRP price for the product item.

  Parameters
    `price` - the new price for the product item.

### setCurrentPrice

    void setCurrentPrice(Money price)

  Deprecated See BEA Commerce product offering

  Set the current price for the product item.

  Parameters
    `price` - the new price for the product item.

### setAvailability

    void setAvailability(InventoryInfo inventoryInfo)

  Deprecated See BEA Commerce product offering

  Set the inventory/availability information for the product item.

  Parameters
    `inventoryInfo` - the new inventory information for the product item.

### setVisible

    void setVisible(char visible)

  Deprecated See BEA Commerce product offering

  Set the visiblity mode for this item.

  Parameters
    `visible` - one of ProductItem.VISIBLE_ITEM or ProductItem.INVISIBLE_ITEM

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved